Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class AutoTester.TestRunner

    java.lang.Object
      ix.iplan.AutoTester.TestRunner

Direct Known Subclasses:
  BlockStackingTest.BlockTestRunner, MissionaryTest.MissionaryTestRunner, TrainsTest.TrainsTestRunner

Enclosing class:
  AutoTester

    public class AutoTester.TestRunner

extends java.lang.Object

Conducts a plan-test.

Field Summary
`(package private) int` | `planNumber`
`(package private) int` | `remainingReplans`
`(package private) PlanTest` | `test`

Constructor Summary
`AutoTester.TestRunner(PlanTest test)`

Method Summary
`protected void` | `checkPlan(Slip slip)`
`protected void` | `describePlan(Slip slip)`
`protected void` | `describeTest()`
`protected Plan` | `initialPlan()`
`protected void` | `planFromPlan(Slip slip)`
`protected Domain` | `readDomain()`
`protected void` | `runSimulation(PlanCheckingSimulator sim)`
`void` | `runTest()`
`protected java.lang.String` | `savedPlanName()`
`protected void` | `savePlan(Slip slip)`
`protected void` | `savePlanFromPlan(Plan plan)`
`protected Plan` | `taskPlan()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### test

    PlanTest test

### planNumber

    int planNumber

### remainingReplans

    int remainingReplans

Constructor Detail

### AutoTester.TestRunner

    public AutoTester.TestRunner(PlanTest test)

Method Detail

### runTest

    public void runTest()

### describeTest

    protected void describeTest()

### describePlan

    protected void describePlan(Slip slip)

### savePlan

    protected void savePlan(Slip slip)

### savedPlanName

    protected java.lang.String savedPlanName()

### readDomain

    protected Domain readDomain()

### initialPlan

    protected Plan initialPlan()

### taskPlan

    protected Plan taskPlan()

### checkPlan

    protected void checkPlan(Slip slip)

### runSimulation

    protected void runSimulation(PlanCheckingSimulator sim)

### planFromPlan

    protected void planFromPlan(Slip slip)

### savePlanFromPlan

    protected void savePlanFromPlan(Plan plan)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD